public class AssertionHandlerImpl {
  protected void adjustBeforeInsertionOrUnrecant(AssertionImpl assertion) {
    EntityImpl rootEntity = assertion.getInnerPedigreeElement().getRootEntity();
    if (rootEntity instanceof Person) {
      Person person = (Person)rootEntity;
      if (person.isPlaceholder()) {
        if (!(assertion instanceof GenderAssertion)) {
          person.clearPlaceholder();
        }
      }
    }
    Collection<CreateAssertionSideEffect> sideEffects = new LinkedList<CreateAssertionSideEffect>();
    accumulateSideEffectsBeforeAsserting(sideEffects, assertion.getPersonGroupId(), assertion.getAssertionValue(), assertion.isDisputing());
    CreateAssertionSideEffectUtil.doWithoutChecks(sideEffects);
  }
}